> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# culture

## "culture" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.CultureProvider">CultureProvider</see> class.
The name of the MDO list is 'culture'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/culture
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("culture", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id   | Name                 | StyleHint | ExtraInfo |
| ---- | -------------------- | --------- | --------- |
| 2052 | Chinese              |           | zh-cn     |
| 1029 | Czech                |           | cs        |
| 1030 | Danish               |           | da        |
| 1043 | Dutch                |           | nl        |
| 1033 | English              |           | en        |
| 1035 | Finnish              |           | fi        |
| 1036 | French               |           | fr        |
| 1031 | German               |           | de        |
| 2055 | German (Switzerland) |           | de-ch     |
| 1040 | Italian              |           | it        |
| 1041 | Japanese             |           | ja        |
| 1042 | Korean               |           | ko        |
| 1044 | Norwegian, Bokmål    |           | no        |
| 1045 | Polish               |           | pl        |
| 1046 | Portuguese (Brazil)  |           | pt-br     |
| 1049 | Russian              |           | ru        |
| 1034 | Spanish              |           | es        |
| 1053 | Swedish              |           | sv        |
| 1058 | Ukrainian            |           | uk        |
| 1066 | Vietnamese           |           | vi        |

## Related MDO Lists

* "cultureheadings"
* "cultureheadingswithallitem"
* "cultureheadingswithallitemwithnoselection"
* "cultureheadingswithnoselection"
* "culturewithallitem"
* "culturewithallitemwithnoselection"
* "culturewithnoselection"


## Related topics

- [Culture Helper](/en/api/localization/culture/culturesettinghelper.md)
- [CultureDataFormatter](/en/api/localization/culture/culturedataformatter.md)
- [Display values in current culture](/en/api/localization/culture/display-in-current-culture.md)
- [SuperOffice.WebApi.Data.CultureDataFormatter](/en/api/reference/webapi/SuperOffice.WebApi.Data.CultureDataFormatter.md)
